Name:           dekorator
Version:        0.3
Release:        3%{?dist}
Summary:        KDE window decoration engine

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.kde-look.org/content/show.php?content=31447
Source0:        http://motyr.cheetux.org.il/deKorator/%{version}/SOURCE/%{name}-%{version}.tar.gz
Source1:        dekorator.fedora
# Source2 is a fixed version of the same theme included in Source0
Source2:        Bushido-Yellow-theme.tar.gz
Patch0:         dekorator-0.3-remove_theme_paths_button.patch
Patch1:         dekorator-0.3-default_theme.patch
Patch2:         dekorator-0.3-config_help_tab.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel
Requires:       kdebase

%description
deKorator is a window decoration engine for KDE.

deKorator takes several user-defined images and presents them as a window
decoration. It loads its images from a user-defined directory (similar to
iceWM), thus everything is themeable in no time and no programming knowledge
is needed.


%prep
%setup -q
%patch0 -p1 -b .remove_theme_paths_button
%patch1 -p1 -b .default_theme
%patch2 -p1 -b .config_help_tab
cp -p %{SOURCE1} .
# Make the configuration dialog use the HTML help supplied with the RPM
sed -i 's:undef DOC_DIR:define DOC_DIR "%{_docdir}/%{name}-%{version}":' \
    client/config/deKoratorconfig.cc


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Install the default theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/deKorator/themes
tar -xjf themesStuff/Default-theme.tar.bz2
mv Default-theme $RPM_BUILD_ROOT%{_datadir}/apps/deKorator/themes/
# Install the "template" theme
tar -xzf themesStuff/template-theme.tar.gz
mv template-theme $RPM_BUILD_ROOT%{_datadir}/apps/deKorator/themes/
# Install the "ugly" theme
tar -xzf themesStuff/ugly-theme.tar.gz
mv ugly-theme $RPM_BUILD_ROOT%{_datadir}/apps/deKorator/themes/
# Install the modified "Bushido-Yellow" theme
tar -xzf %{SOURCE2}
mv Bushido-Yellow-theme $RPM_BUILD_ROOT%{_datadir}/apps/deKorator/themes/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG README gpl.txt themesStuff/deKhelp.xhtml dekorator.fedora
%{_libdir}/kde3/kwin3_deKorator.so
%{_libdir}/kde3/kwin3_deKorator.la
%{_libdir}/kde3/kwin_deKorator_config.so
%{_libdir}/kde3/kwin_deKorator_config.la
%{_datadir}/apps/kwin/deKorator.desktop
%{_datadir}/apps/deKorator


%changelog
* Wed Feb 21 2007 Francois Aucamp <faucamp@csir.co.za> - 0.3-3
- Added "Requires: kdebase" as this package is useless without kwin
- Install the "ugly" theme (moved it from %%doc)
- Created "remove_theme_paths_button" patch to remove the config dialog's "set theme paths" button
- Created "default_theme" patch to set a first-time default theme
- Fixed the Bushido-Yellow theme's masks to make it usable
- Install the "Bushido-Yellow" theme by default
- Added "dekorator.fedora" to %%doc to explain why some extra themes are modified/omitted
- Created "config_help_tab" patch to make the config dialog use HTML help (and fix some typos)

* Tue Feb 20 2007 Francois Aucamp <faucamp@csir.co.za> - 0.3-2
- Added required libtool archives again

* Tue Feb 20 2007 Francois Aucamp <faucamp@csir.co.za> - 0.3-1
- Initial RPM build
